%define name smeserver-xt_geoip
%define version 1.0.1
%define release 19
Summary: smserver rpm to setup database, update and configuration for xt_geoip module with a panel.
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://wiki.contribs.org/Main_Page
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-xt_geoip-1.0.1-2-weakupd.patch
Patch1: smeserver-xt_geoip-1.0.1-3-messag.patch
Patch2: smeserver-xt_geoip-1.0.1-4-crontab.patch
Patch3: smeserver-xt_geoip-1.0.1-bz10739.patch
Patch4: smeserver-xt_geoip-1.0.1-stats.patch
Patch5: smeserver-xt_geoip-1.0.1-stats_panel.patch
Patch6: smeserver-xt_geoip-1.0.1-per_serv.patch
Patch7: smeserver-xt_geoip-1.0.1-bz10760-safe-reload.patch
Patch8: smeserver-xt_geoip-1.0.1-bz10760-per_serv2.patch
Patch9: smeserver-xt_geoip-1.0.1-bz10794-masq-template.patch
Patch10: smeserver-xt_geoip-1.0.1-bz10789-more_services.patch
Patch11: smeserver-xt_geoip-1.0.1-bz10797-no_emails.patch
Patch12: smeserver-xt_geoip-1.0.1-bz10791-country_panel_ssh.patch


BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: e-smith-devtools
Requires: e-smith-release >= 9.0
Requires: xtables-addons = 1.47.1
Requires: GeoIP = 1.6.5
AutoReqProv: no

%description
smserver rpm to setup database, update and configuration for xt_geoip module with a panel.

%changelog
* Mon Sep 30 2019 Michel Begue <mab974@gmail.com> 1.0.1-19.sme
- add country code list [SME: 10791]
- fix stats SSH errors [SME: 10807]
- improved panel [SME: 10788]

* Sat Sep 21 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.1-18.sme
- add more service [SME: 10789]
- no email from log analysis by default [SME: 10797]

* Sun Jul 28 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.1-17.sme
- fix empty global filter disable all geoip iptables rules [SME: 10794]
- tidy masq templates for xt geoip [SME: 10794]

* Wed Jul 24 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.1-16.sme
- add missing file to patch [SME: 10760]
- workaround link issue in source [SME: 10790]

* Tue Jul 23 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.1-15.sme
- improved per service filtering [SME: 10760]
- remove A1 forced as default and allow empty filter [SME: 10785]

* Sun Jul 21 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.1-13.sme
- fix network lock out on adjust [SME: 10760] 
  this arised on initial install with a simple masq adjust
  or if XT_geoip is disbaled on any masq restart or adjust

* Wed Apr 24 2019 Michel Begue <mab974@gmail.com> 1.0.1-12.sme
- add per service management of GeoIP bans [SME: 10760]
- move panel to Security [SME: 10773]

* Wed Apr 17 2019 Michel Begue <mab974@gmail.com> 1.0.1-9.sme
- add stats access in the panel [SME: 10745]
- add control of maximum number of countries [SME: 10749]

* Wed Mar 06 2019 Michel Begue <mab974@gmail.com> 1.0.1-7.sme
- add stats of geoip blocked countries [SME: 10745]
- add stats of ssh attacks not geoip blocked [SME: 10744]
- expand /etc/crontab on update

* Mon Feb 18 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.1-6.sme
- fix unable to load iptables rules [SME: 10739]
  fix warning localtime 
  fix warning "enabled" isn't numeric in numeric eq (==)

* Wed Feb 06 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.1-5.sme
- first import to SME buildsys

* Sun Oct 29 2017 Michel Begue <mab974@gmail.com>
- bug in crontab update job, 
- [1.0.1-4]

* Mon Oct 16 2017 Michel Begue <mab974@gmail.com>
- new message : inactive GeoIP, 
- value of country code added in message "country not found", 
- [1.0.1-3]

* Sat Oct 07 2017 Michel Begue <mab974@gmail.com>
- test kernel module presence in "/lib/modules/weak-updates" directory
- [1.0.1-2]

* Wed Sep 20 2017 Michel Begue <mab974@gmail.com>
- panel added in server manager
- [1.0.1-1]

* Tue Sep 12 2017 Michel Begue <mab974@gmail.com>
- initial release
- [1.0.0-1]
- xtables-addons v1.47.1 (v1.x required for kernel 2.6.32)

%prep

%setup
# tmp fix before creating a new source archive 1.0.1-16
unlink root/etc/e-smith/web/panels/manager/cgi-bin/xt_geoip
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1

%build
perl createlinks


%install
rm -rf $RPM_BUILD_ROOT

(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT | egrep -v "usr/share/xt_geoip/geoip_" \
    > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre
%preun

%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%files
%attr(0755, root, root) /usr/share/xt_geoip/geoip_*
